package com.ruoyi.project.zt.service;


import com.ruoyi.project.zjsgfa.domain.SjDcfxDzfc;
import com.ruoyi.project.zt.domain.*;
import com.ruoyi.project.zt.domain.vo.SjInfo;

import java.util.List;
import java.util.Map;

public interface DjdcService {
    List<DjDcInfo> getList(DjDcInfo info);


    List<Ljinfo> ljListByJh(Ljinfo info);


    List<Djjc> getDjjcList(CommonParam param);


    List<DjZqsjfx> getZqshfxList(CommonParam param) throws Exception;

    List<DjZjzhfx> getZjzhfxList(CommonParam param);

    List<Ljjw> getLjjwList(CommonParam param);


    List<Jsfa> getJsfaList(CommonParam param);


    List<Jsqa> getJsqaList(CommonParam param);

    List<DjZtfx> getDjZtfxList(CommonParam param);

    Map<String,Object> calZtzhdf(CommonParam param);

    List<LjZtzhdf> getzhzhdfList(CommonParam param);

    List<LjSzfxjg> getszfxjgList(CommonParam param);

    List<LjZtdfzh> getZtzhzzdfList(CommonParam param);


    int dyAiModelJxZjzh(CommonParam param);

    List<LjDzfc> getDzfcList(CommonParam param);


    List<LjSzfxjg> getSztfxjgList(List<DjZtfx> djZtfxList, List<Djjc> djjcList, CommonParam param);

    List<Jsha> getFdcsList(CommonParam param);

    List<SjDcfxDzfc> getDzfcList2(CommonParam param);

    List<DjZqsjfx> getKjsjList(CommonParam param);

    List<Zsjfx> getZsjList(CommonParam param);

    Djjc selectZtsj(Djjc djjc);

}
